Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

liblirc_client0-0.10.1-11.1 RPM for armv6hl

From OpenSuSE Ports Tumbleweed for armv6hl

Name: liblirc_client0 Distribution: openSUSE Tumbleweed
Version: 0.10.1 Vendor: openSUSE
Release: 11.1 Build date: Tue Mar 26 09:47:23 2024
Group: Hardware/Other Build host: reproducible
Size: 38515 Source RPM: lirc-0.10.1-11.1.src.rpm
Packager: http://bugs.opensuse.org
Url: http://www.lirc.org/
Summary: LIRC client library
The LIRC client library. To actually use LIRC the lircd daemon from
the 'lirc' package has to be configured and started.

Provides

Requires

License

GPL-2.0-or-later

Changelog

* Tue Mar 26 2024 pgajdos@suse.com
  - remove dependency on /usr/bin/python3 using
    %python3_fix_shebang{,_path} macros, [bsc#1212476]
* Wed May 03 2023 Johannes Segitz <jsegitz@suse.com>
  - Remove ProtectClock hardening. This causes more pain then it
    helps (bsc#1200577)
* Sun Jul 24 2022 Andreas Schwab <schwab@suse.de>
  - Fix up timestamps from patching generated files
* Sun May 08 2022 Ben Greiner <code@bnavigator.de>
  - Add lirc-autoconf-py310.patch: Output of autoreconf in order to
    find the correct python version when Tumbleweed switches to
    Python 3.10.
* Wed Nov 24 2021 Matej Cepl <mcepl@suse.com>
  - Add pyyaml-60-compatibility.patch to make the package
    compatible with PyYAML 6.0+ (sht#lirc#365).
* Sat Nov 13 2021 ldreier@vodafonemail.de
  - allow input device access in lircd.service file again. Changed:
    * harden_lircd.service.patch
* Tue Oct 05 2021 Dominique Leuenberger <dimstar@opensuse.org>
  - Revert "Require typelib packages": better to have rpm auto-detect
    them.
  - Add gobject-introspection BuildRequires to have the typelib dep
    scanner on board.
* Tue Oct 05 2021 Johannes Segitz <jsegitz@suse.com>
  - Added hardening to systemd service(s) (bsc#1181400). Added patch(es):
    * harden_irexec.service.patch
    * harden_lircd-uinput.service.patch
    * harden_lircd.service.patch
    * harden_lircmd.service.patch
* Sun Aug 08 2021 Stanislav Brabec <sbrabec@suse.com>
  - Require typelib packages, otherwise lirc-setup fails to start.
* Sat Feb 20 2021 Dirk Müller <dmueller@suse.com>
  - switch away from the libusb-compat (0.1) to the maintained libusb 1.0
    (lirc has support for both)

Files

/usr/lib/liblirc_client.so.0
/usr/lib/liblirc_client.so.0.6.0


Generated by rpm2html 1.8.1

Fabrice Bellet, Sun Jun 23 00:05:43 2024